Subject: Initial LS Sequence Number

From: "Singh, Gurpreet" <[email-masked]>
Date: Wed, 19 May 2004 12:12:20 -1000

Hi
RFC 2328 Section 12.1.6
"The sequence number -N (0x80000000) is reserved (and
unused). This leaves -N + 1 (0x80000001) as the smallest
(and therefore oldest) sequence number; this sequence number
is referred to as the constant InitialSequenceNumber. A
router uses InitialSequenceNumber the first time it
originates any LSA. Afterwards, the LSA's sequence number
is incremented each time the router originates a new
instance of the LSA. "
As stated above in the RFC 2328, a router should originate the first LSA to
with InitialSequenceNumber. From the word originate i understand that the
first LSA send by the router to its neighbor out of the physical interface.
Is my assumption correct ?
But i have observed that most of the OSPF implementations are not using the
InitialSequenceNumber for the first Router LSA it originates when the router
has just one neighbor and the OSPF process has been restarted to clear the
database of the old LSAs. The first Router LSA routers sends has LS Sequence
Number (1-5) higher than the InitialSequenceNumber.
Should it be conlcuded that the router is not adhering to the Specifications
if the LS Sequence number of the first Router LSA originated by router is
not InitialSequenceNumber ?
Thanks
Gurpreet

---

From: Anand Oswal <[email-masked]>
Date: Wed, 19 May 2004 16:08:22 -0700

Hi Gurpreet,

It doesnt mean that the router is not adhering to the spec.
The router state may have changed internally for the given area,
For a given interface the LSA will only be flooded when there
is atleast one neighbor in the exchange state or higher.

Hope that helps.
Thanks
Anand